
locals {
  admin_disable_polling = var.admin_disable_polling
  admin_max_calls = var.admin_max_calls
  admin_period = var.admin_period
  appengine_disable_polling = var.appengine_disable_polling
  appengine_max_calls = var.appengine_max_calls
  appengine_period = var.appengine_period
  audit_logging_enabled = var.audit_logging_enabled
  audit_logging_violations_should_notify = var.audit_logging_violations_should_notify
  bigquery_acl_violations_should_notify = var.bigquery_acl_violations_should_notify
  bigquery_disable_polling = var.bigquery_disable_polling
  bigquery_enabled = var.bigquery_enabled
  bigquery_max_calls = var.bigquery_max_calls
  bigquery_period = var.bigquery_period
  blacklist_enabled = var.blacklist_enabled
  blacklist_violations_should_notify = var.blacklist_violations_should_notify
  bucket_acl_enabled = var.bucket_acl_enabled
  bucket_cai_lifecycle_age = var.bucket_cai_lifecycle_age
  bucket_cai_location = var.bucket_cai_location
  buckets_acl_violations_should_notify = var.buckets_acl_violations_should_notify
  cai_api_timeout = var.cai_api_timeout
  client_access_config = var.client_access_config
  client_boot_image = var.client_boot_image
  client_enabled = var.client_enabled
  client_instance_metadata = var.client_instance_metadata
  client_private = var.client_private
  client_region = var.client_region
  client_service_account = var.client_service_account
  client_shielded_instance_config = var.client_shielded_instance_config
  client_ssh_allow_ranges = var.client_ssh_allow_ranges
  client_tags = var.client_tags
  client_type = var.client_type
  cloud_profiler_enabled = var.cloud_profiler_enabled
  cloudasset_disable_polling = var.cloudasset_disable_polling
  cloudasset_max_calls = var.cloudasset_max_calls
  cloudasset_period = var.cloudasset_period
  cloudbilling_disable_polling = var.cloudbilling_disable_polling
  cloudbilling_max_calls = var.cloudbilling_max_calls
  cloudbilling_period = var.cloudbilling_period
  cloudsql_acl_enabled = var.cloudsql_acl_enabled
  cloudsql_acl_violations_should_notify = var.cloudsql_acl_violations_should_notify
  cloudsql_db_name = var.cloudsql_db_name
  cloudsql_db_password = var.cloudsql_db_password
  cloudsql_db_port = var.cloudsql_db_port
  cloudsql_db_user = var.cloudsql_db_user
  cloudsql_disk_size = var.cloudsql_disk_size
  cloudsql_net_write_timeout = var.cloudsql_net_write_timeout
  cloudsql_private = var.cloudsql_private
  cloudsql_proxy_arch = var.cloudsql_proxy_arch
  cloudsql_region = var.cloudsql_region
  cloudsql_type = var.cloudsql_type
  cloudsql_user_host = var.cloudsql_user_host
  composite_root_resources = var.composite_root_resources
  compute_disable_polling = var.compute_disable_polling
  compute_max_calls = var.compute_max_calls
  compute_period = var.compute_period
  config_validator_enabled = var.config_validator_enabled
  config_validator_violations_should_notify = var.config_validator_violations_should_notify
  container_disable_polling = var.container_disable_polling
  container_max_calls = var.container_max_calls
  container_period = var.container_period
  crm_disable_polling = var.crm_disable_polling
  crm_max_calls = var.crm_max_calls
  crm_period = var.crm_period
  cscc_source_id = var.cscc_source_id
  cscc_violations_enabled = var.cscc_violations_enabled
  domain = var.domain
  enable_cai_bucket = var.enable_cai_bucket
  enable_service_networking = var.enable_service_networking
  enable_write = var.enable_write
  enabled_apis_enabled = var.enabled_apis_enabled
  enabled_apis_violations_should_notify = var.enabled_apis_violations_should_notify
  excluded_resources = var.excluded_resources
  external_project_access_violations_should_notify = var.external_project_access_violations_should_notify
  firewall_rule_enabled = var.firewall_rule_enabled
  firewall_rule_violations_should_notify = var.firewall_rule_violations_should_notify
  folder_id = var.folder_id
  forseti_email_recipient = var.forseti_email_recipient
  forseti_email_sender = var.forseti_email_sender
  forseti_home = var.forseti_home
  forseti_repo_url = var.forseti_repo_url
  forseti_run_frequency = var.forseti_run_frequency
  forseti_version = var.forseti_version
  forwarding_rule_enabled = var.forwarding_rule_enabled
  forwarding_rule_violations_should_notify = var.forwarding_rule_violations_should_notify
  group_enabled = var.group_enabled
  groups_settings_disable_polling = var.groups_settings_disable_polling
  groups_settings_enabled = var.groups_settings_enabled
  groups_settings_max_calls = var.groups_settings_max_calls
  groups_settings_period = var.groups_settings_period
  groups_settings_violations_should_notify = var.groups_settings_violations_should_notify
  groups_violations_should_notify = var.groups_violations_should_notify
  gsuite_admin_email = var.gsuite_admin_email
  iam_disable_polling = var.iam_disable_polling
  iam_max_calls = var.iam_max_calls
  iam_period = var.iam_period
  iam_policy_enabled = var.iam_policy_enabled
  iam_policy_violations_should_notify = var.iam_policy_violations_should_notify
  iam_policy_violations_slack_webhook = var.iam_policy_violations_slack_webhook
  iap_enabled = var.iap_enabled
  iap_violations_should_notify = var.iap_violations_should_notify
  instance_network_interface_enabled = var.instance_network_interface_enabled
  instance_network_interface_violations_should_notify = var.instance_network_interface_violations_should_notify
  inventory_email_summary_enabled = var.inventory_email_summary_enabled
  inventory_gcs_summary_enabled = var.inventory_gcs_summary_enabled
  inventory_retention_days = var.inventory_retention_days
  ke_scanner_enabled = var.ke_scanner_enabled
  ke_version_scanner_enabled = var.ke_version_scanner_enabled
  ke_version_violations_should_notify = var.ke_version_violations_should_notify
  ke_violations_should_notify = var.ke_violations_should_notify
  kms_scanner_enabled = var.kms_scanner_enabled
  kms_violations_should_notify = var.kms_violations_should_notify
  kms_violations_slack_webhook = var.kms_violations_slack_webhook
  lien_enabled = var.lien_enabled
  lien_violations_should_notify = var.lien_violations_should_notify
  location_enabled = var.location_enabled
  location_violations_should_notify = var.location_violations_should_notify
  log_sink_enabled = var.log_sink_enabled
  log_sink_violations_should_notify = var.log_sink_violations_should_notify
  logging_disable_polling = var.logging_disable_polling
  logging_max_calls = var.logging_max_calls
  logging_period = var.logging_period
  mailjet_enabled = var.mailjet_enabled
  manage_firewall_rules = var.manage_firewall_rules
  manage_rules_enabled = var.manage_rules_enabled
  network = var.network
  network_project = var.network_project
  org_id = var.org_id
  policy_library_home = var.policy_library_home
  policy_library_repository_branch = var.policy_library_repository_branch
  policy_library_repository_url = var.policy_library_repository_url
  policy_library_sync_enabled = var.policy_library_sync_enabled
  policy_library_sync_gcs_directory_name = var.policy_library_sync_gcs_directory_name
  policy_library_sync_git_sync_tag = var.policy_library_sync_git_sync_tag
  policy_library_sync_ssh_known_hosts = var.policy_library_sync_ssh_known_hosts
  project_id = var.project_id
  resource_enabled = var.resource_enabled
  resource_name_suffix = var.resource_name_suffix
  resource_violations_should_notify = var.resource_violations_should_notify
  role_enabled = var.role_enabled
  role_violations_should_notify = var.role_violations_should_notify
  role_violations_slack_webhook = var.role_violations_slack_webhook
  rules_path = var.rules_path
  securitycenter_max_calls = var.securitycenter_max_calls
  securitycenter_period = var.securitycenter_period
  sendgrid_api_key = var.sendgrid_api_key
  server_access_config = var.server_access_config
  server_boot_disk_size = var.server_boot_disk_size
  server_boot_disk_type = var.server_boot_disk_type
  server_boot_image = var.server_boot_image
  server_grpc_allow_ranges = var.server_grpc_allow_ranges
  server_instance_metadata = var.server_instance_metadata
  server_private = var.server_private
  server_region = var.server_region
  server_service_account = var.server_service_account
  server_shielded_instance_config = var.server_shielded_instance_config
  server_ssh_allow_ranges = var.server_ssh_allow_ranges
  server_tags = var.server_tags
  server_type = var.server_type
  service_account_key_enabled = var.service_account_key_enabled
  service_account_key_violations_should_notify = var.service_account_key_violations_should_notify
  servicemanagement_disable_polling = var.servicemanagement_disable_polling
  servicemanagement_max_calls = var.servicemanagement_max_calls
  servicemanagement_period = var.servicemanagement_period
  serviceusage_disable_polling = var.serviceusage_disable_polling
  serviceusage_max_calls = var.serviceusage_max_calls
  serviceusage_period = var.serviceusage_period
  sqladmin_disable_polling = var.sqladmin_disable_polling
  sqladmin_max_calls = var.sqladmin_max_calls
  sqladmin_period = var.sqladmin_period
  storage_bucket_location = var.storage_bucket_location
  storage_disable_polling = var.storage_disable_polling
  subnetwork = var.subnetwork
  verify_policy_library = var.verify_policy_library
  violations_slack_webhook = var.violations_slack_webhook
}
